// Vertex Shader for Depth of Field

#version 430 core

out vec2 texCoord;

void main(){
	// quad spanning the whole viewport
    const vec4 vertex[] = vec4[] ( vec4(-1.0, -1.0, 0.5, 1.0),
                                   vec4( 1.0, -1.0, 0.5, 1.0),
                                   vec4(-1.0,  1.0, 0.5, 1.0),
                                   vec4( 1.0,  1.0, 0.5, 1.0) );

	const vec2 texCoords[] = vec2[](	vec2(0.0, 0.0),
									vec2(1.0, 0.0),
									vec2(0.0, 1.0),
									vec2(1.0, 1.0) );
	texCoord = texCoords[gl_VertexID];
    gl_Position = vertex[gl_VertexID];
}