#version 430 core

layout(location = 0) in vec3 pos;
layout(location = 1) in vec3 col;
//layout(location = 1) in vec3 normal;
//layout(location = 2) in vec2 texCoord;

uniform mat4 model;
uniform mat4 view;
uniform mat4 proj;

out vec3 posOut;
out vec3 colOut;

void main(void){
	gl_Position = proj * view * model* vec4(pos, 1.0);
	//gl_Position = vec4(pos, 1.0);
	posOut = pos;
	colOut = col;
	//test = mvp *  vec4(pos, 1.0);
	//gl_Position = vec4(1,1,1,1);
	
}